<template>
  <FormTemplate>
    <template #content>
      <h1 class="text-2xl">Profile</h1>
      <div class="flex flex-col pt-8 p-4 text-left">
        <p class="">User: <span class="">{{userLoged.user}}</span></p>
        <p>Email: <span>{{userLoged.email}}</span></p>
        <p>Password: <span>{{userLoged.pass}}</span></p>
      </div>
      <JButton @click="handleClick('change-password')" class="self-center mb-4" title="Change password"/>
      <JButton @click="handleClick('sing-out')" class="self-center" title="Sing out"/>
    </template>
  </FormTemplate>
</template>

<script>
import { Vue, Options } from 'vue-class-component'
import FormTemplate from '@/components/template/FormTemplate.vue'
import JButton from '@/components/atoms/JButton.vue'

@Options({
  components: {
    JButton,
    FormTemplate,
  },
})
export default class SingIn extends Vue {
  userLoged = JSON.parse(localStorage.getItem('userLoged'))
  handleClick(root) {
    this.$router.push({ name: root})
  }
}
</script>

<style>

</style>